<?php
/*
Plugin Name: Weather-Grabber
Plugin URI: http://www.alberniweather.ca/developer
Version: 0.10.0
Author: Chris Alemany
Author URI: http://www.alberniweather.ca/

Description: This plugin connects files generated by the WeeWX weather server software (or other software using the supported format and naming conventions) and displays the weather data in wordpress using widgets.

This plugin was originally developed for the wview weather server software and may still work with that software. However, as wview is no longer actively maintained, it will not be tested with this plugin.

Requirements for pre-1.0 release:
- Latest WeeWx weather server software (http://www.weewx.com)

INSTALL:

1: Install the plugin in Wordpress.

2: Install the included phpparameter.htm.tmpl (found in the wxgrabber plugin directory) in the Standard Skin and add it in the skin.conf file under "[[ToDate]]" as 
[[[all]]]
template = phpparameterlist.htm.tmpl

2b: If you are not running weewx you can still use this plugin by having your weather software create a delimited text file similar to phpparameter.htx.  Name and value pairs can be omitted but names (before the semi-colon) MUST remain the same.

3: Setup the Weather Grabber plugin in the "Settings" area of Wordpress

4: Add and setup a Widget under Appearance

5: You're done!


*/
/*  Copyright 2018  Chris Alemany  (email : chrisale@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**/
//Not sure what this does but looks like error catching catchall so we'll use it.
if ( ! defined( 'WPINC' ) ) { die; }

/** FIRST DEFINE A CONSTANT FOR PATHS AND SUCH **/
define( 'WXGRABBER_PATH', plugin_dir_path(__FILE__) );

/* Now bring in WeatherArray creation function */
require WXGRABBER_PATH . 'adminoptions.php';
require WXGRABBER_PATH . 'weatherarray.php';

/********************************************************
 Main Function that runs the backend
********************************************************/




function mainwxgbfunc ($widgetArray) {


$weatherArray = weathersetup($widgetArray['weatherperiod']);
$output = '<div id="wxgbwidget1"><table style="background-color: rgba(20%,20%,20%,0.1);"><tr style="">';
$output =  $output. selectorFunction1($widgetArray,$weatherArray);
$output = $output . '<tr/></table></div>';
return $output;

}	

/********************************************************
Register the CSS for the plugin.
********************************************************/
function wxgb_style() {

wp_register_style( 'wxgb_css', plugins_url( 'weather-grabber/include/css/wxgb.css', array(), '1.0', 'screen' ));
wp_enqueue_style( 'wxgb_css' );
}
// the AJAX HOOK and Actions
	register_activation_hook( __FILE__, array('wxGrabber_main_values_widget', 'install') );
	add_action('init', 'wxGrabber_main_values_widget_request_handler',10);

/********************************************************
 Including the files that hold the different Widget Classes and Functions
********************************************************/

include('include/php/cstwdgt.php');

include('include/php/ccwdgt.php');

include('include/php/almwdgt.php');

include('include/php/frontwdgt.php');

include('include/php/generalshortcodes.php');

/********************************************************
 The AJAX Function
********************************************************/

function wxGrabber_main_values_widget_request_handler() {
    // Check that all parameters have been passed
   
    if ((isset($_GET['wxGrabber_main_values_widget_request']) && ($_GET['wxGrabber_main_values_widget_request'] == 'update_wxgrabber')) && 
      isset($_GET['wxGrabber_main_values_widget_selectorText1']) &&
      isset($_GET['wxGrabber_main_values_widget_selectorTextCSS1']) && 		
      isset($_GET['wxGrabber_main_values_widget_selectorFirstValue1']) && 
      isset($_GET['wxGrabber_main_values_widget_selectorSecondValue1']) &&
      isset($_GET['wxGrabber_main_values_widget_selectorThirdValue1']) &&
      isset($_GET['wxGrabber_main_values_widget_selectorText2']) &&
      isset($_GET['wxGrabber_main_values_widget_selectorTextCSS2']) &&
      isset($_GET['wxGrabber_main_values_widget_selectorFirstValue2']) &&
      isset($_GET['wxGrabber_main_values_widget_selectorSecondValue2']) &&
      isset($_GET['wxGrabber_main_values_widget_selectorThirdValue2']) &&
      isset($_GET['wxGrabber_main_values_widget_weatherperiod']))      
{ 
		$widgetArray = Array('selectorText1' => strip_tags($_GET['wxGrabber_main_values_widget_selectorText1']),'selectorTextCSS1' => 
strip_tags($_GET['wxGrabber_main_values_widget_selectorTextCSS1']),'selectorFirstValue1' => 
strip_tags($_GET['wxGrabber_main_values_widget_selectorFirstValue1']),'selectorSecondValue1' => 
strip_tags($_GET['wxGrabber_main_values_widget_selectorSecondValue1']),'selectorThirdValue1' =>
strip_tags($_GET['wxGrabber_main_values_widget_selectorThirdValue1']),'selectorText2' =>
strip_tags($_GET['wxGrabber_main_values_widget_selectorText2']),'selectorTextCSS2' =>
strip_tags($_GET['wxGrabber_main_values_widget_selectorTextCSS2']),'selectorFirstValue2' =>
strip_tags($_GET['wxGrabber_main_values_widget_selectorFirstValue2']),'selectorSecondValue2' =>
strip_tags($_GET['wxGrabber_main_values_widget_selectorSecondValue2']),'selectorThirdValue2' =>
strip_tags($_GET['wxGrabber_main_values_widget_selectorThirdValue2']),
'weatherperiod' => strip_tags($_GET['wxGrabber_main_values_widget_weatherperiod']));
       
        // Output the response from your call and exit
       
        echo mainwxgbfunc($widgetArray);
        exit();
    } elseif (isset($_GET['wxGrabber_main_values_widget_request']) && ($_GET['wxGrabber_main_values_widget_request'] == 'some_action')) {
        // Otherwise display an error and exit the call
        
        echo "Error: Unable to display request.";
        exit();
    }
    	else { 
    	//echo "Error Happening - All Parameters not Passed Live Updates Will not Work";
    	//exit();
    	}
}

/********************************************************ADMIN ERROR CATCHING FUNCTIONS
********************************************************/
function no_param_file(){
	$options = get_option('wxgrabber_options');
	$wviewparamslist = $options['paramFile'];
	$wviewparamslist = (ABSPATH . $wviewparamslist);
	if (!file_exists($wviewparamslist)){
    echo '<div class="error">
       <p>No Parameter file has been found for Weather-Grabber.  You or your weather server must upload phpparameter.htm to your root webfolder or make sure it is set in <a href="/wp-admin/options-general.php?page=wxgrabber">Settings</a>.</p>  <p>There is a sample phpparameter.htx file in the plugin directory ready for WeeWx or to show you the convention to create your own file. </p>
    </div>';
    }
}

function no_forecast_file(){
	$options = get_option('wxgrabber_options');
	$wviewparamslist = $options['wxgrabberforecastFile'];
	$wviewparamslistfull = (ABSPATH . $wviewparamslist);
	if (!file_exists($wviewparamslistfull) && $wviewparamslist != "" && $wviewparamslist != "NA"){
    echo '<div class="error">
       <p>No Forecast file has been found for Weather-Grabber.  You or your weather server must upload a text file that includes forecast data to your root webfolder or make sure it is set in <a href="/wp-admin/options-general.php?page=wxgrabber">Settings</a>.</p>  <p>There is a sample forecast file in the plugin directory. If you have no forecast file simply leave the option blank or put NA</p>
    </div>';
    }
}

/********************************************************
Registering Wordpress Actions
********************************************************/

///// THE WIDGET ACTIONS	

	add_action('widgets_init', create_function('', 'return register_widget("wxGrabber_main_values_widget");'));
	
//AJAX Enabled	
add_action('widgets_init', create_function('', 'return register_widget("wxGrabber_current_conditions_widget");'),10);

add_action('widgets_init', create_function('', 'return register_widget("wxGrabber_frontpage_conditions_widget");'),10);
//AJAX END
	
	add_action('widgets_init', create_function('', 'return register_widget("wxGrabber_almanac_widget");'));
	
	//The Shortcode 
	add_shortcode( 'wxgrabber', array( 'wxgrabber_short', 'widget' ) );
	
	
	
	

	

//// NOW THE ADMIN HOOKS, ENQUEUEING AND ERROR CATCHING FUNCTIONS

	add_action('admin_notices', 'no_param_file');
	add_action('admin_notices', 'no_forecast_file');
	add_action( 'wp_enqueue_scripts', 'wxgb_style');  
	
	/* Enqueue Script */
add_action( 'wp_enqueue_scripts', 'SANAjax_scripts' );

/**
 * Scripts
 */
function SANAjax_scripts(){

	/* Plugin DIR URL */
	$url = trailingslashit( plugin_dir_url( __FILE__ ) );

	/* JS + Localize */
	wp_register_script( 'SANAjax_scripts', $url . "cstwdgt.js", array( 'jquery' ), '1.0.0', true );
	wp_localize_script( 'SANAjax_scripts', 'SANAajax_url', admin_url( 'admin-ajax.php' ) );
}


	?>
